# FoundationClasses
TKMath
TColgp

# TColgp_HArray2OfLin2d Class Reference

`#include <TColgp_HArray2OfLin2d.hxx>`

Inheritance diagram for TColgp_HArray2OfLin2d:

[legend]

## Public Member Functions

Standard_EXPORT | TColgp_HArray2OfLin2d (const Standard_Integer R1, const Standard_Integer R2, const Standard_Integer C1, const Standard_Integer C2)
Standard_EXPORT | TColgp_HArray2OfLin2d (const Standard_Integer R1, const Standard_Integer R2, const Standard_Integer C1, const Standard_Integer C2, const gp_Lin2d &V)
Standard_EXPORT void | Init (const gp_Lin2d &V)
Standard_Integer | ColLength () const
Standard_Integer | RowLength () const
Standard_Integer | LowerCol () const
Standard_Integer | LowerRow () const
Standard_Integer | UpperCol () const
Standard_Integer | UpperRow () const
void | SetValue (const Standard_Integer Row, const Standard_Integer Col, const gp_Lin2d &Value)
Standard_EXPORT const gp_Lin2d & | Value (const Standard_Integer Row, const Standard_Integer Col) const
Standard_EXPORT gp_Lin2d & | ChangeValue (const Standard_Integer Row, const Standard_Integer Col)
const TColgp_Array2OfLin2d & | Array2 () const
TColgp_Array2OfLin2d & | ChangeArray2 ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

TColgp_Array2OfLin2d | myArray

## Constructor & Destructor Documentation

Standard_EXPORT TColgp_HArray2OfLin2d::TColgp_HArray2OfLin2d | ( | const Standard_Integer | R1,
|  | const Standard_Integer | R2,
|  | const Standard_Integer | C1,
|  | const Standard_Integer | C2
| ) |

Standard_EXPORT TColgp_HArray2OfLin2d::TColgp_HArray2OfLin2d | ( | const Standard_Integer | R1,
|  | const Standard_Integer | R2,
|  | const Standard_Integer | C1,
|  | const Standard_Integer | C2,
|  | const gp_Lin2d & | V
| ) |

## Member Function Documentation

const TColgp_Array2OfLin2d& TColgp_HArray2OfLin2d::Array2 | ( |  | ) | const

TColgp_Array2OfLin2d& TColgp_HArray2OfLin2d::ChangeArray2 | ( |  | ) |

Standard_EXPORT gp_Lin2d& TColgp_HArray2OfLin2d::ChangeValue | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col
| ) |

Standard_Integer TColgp_HArray2OfLin2d::ColLength | ( |  | ) | const

Standard_EXPORT const TColgp_HArray2OfLin2d::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from MMgt_TShared.

Standard_EXPORT void TColgp_HArray2OfLin2d::Init | ( | const gp_Lin2d & | V | ) |

Standard_Integer TColgp_HArray2OfLin2d::LowerCol | ( |  | ) | const

Standard_Integer TColgp_HArray2OfLin2d::LowerRow | ( |  | ) | const

Standard_Integer TColgp_HArray2OfLin2d::RowLength | ( |  | ) | const

void TColgp_HArray2OfLin2d::SetValue | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col,
|  | const gp_Lin2d & | Value
| ) |

Standard_Integer TColgp_HArray2OfLin2d::UpperCol | ( |  | ) | const

Standard_Integer TColgp_HArray2OfLin2d::UpperRow | ( |  | ) | const

Standard_EXPORT const gp_Lin2d& TColgp_HArray2OfLin2d::Value | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col
| ) | const

## Field Documentation

TColgp_Array2OfLin2d TColgp_HArray2OfLin2d::myArray `[private]`

The documentation for this class was generated from the following file:

- TColgp_HArray2OfLin2d.hxx